Skip to main content

Add new document

POST 

/documents

Creates a new document; body may include document content if less than 5 MB.

Returns a unique documentId used in subsequent operations.

Content Type Detection If the document Content-Type is not specified during upload, the service will determine it asynchronously after the upload completes.

This may result in a temporary delay before the content type and related metadata are available.

See POST /documents/{documentId}/tags for adding tags to document schema

See POST /documents/{documentId}/actions for adding actions to document schema

Request​

Responses​

201 CREATED

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers